Bug 210395 - sysutils/py-salt : Update to 2016.3.1
Summary: sysutils/py-salt : Update to 2016.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-19 22:58 UTC by Christer Edwards
Modified: 2016-07-13 02:02 UTC (History)
3 users (show)

See Also:
junovitch: merge-quarterly+


Attachments
patch (6.20 KB, patch)
2016-06-19 22:58 UTC, Christer Edwards
christer.edwards: maintainer-approval+
Details | Diff
QA (459.04 KB, text/plain)
2016-06-19 22:59 UTC, Christer Edwards
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2016-06-19 22:58:58 UTC
Created attachment 171585 [details]
patch

https://docs.saltstack.com/en/latest/topics/releases/2016.3.1.html

 * updated port to new version
 * removed patches from _1 release
Comment 1 Christer Edwards 2016-06-19 22:59:38 UTC
Created attachment 171586 [details]
QA
Comment 2 Andres Montalban 2016-06-20 17:08:23 UTC
Hi Christer,

Can we have this upstream bug included in this update?

https://github.com/saltstack/salt/issues/34094

I was going to submit a patch to fix 2016.3.0 but since you are going to update to 2016.3.1 would be better to have it in one try.

Thanks!
Comment 3 Andres Montalban 2016-06-20 17:29:14 UTC
(In reply to Andres Montalban from comment #2)
Also seems this patch didn't get in to 2016.3.1 which was present on 2016.3.0-1:

https://github.com/saltstack/salt/issues/33608

Maybe ohauer can help with that.

Thanks!
Comment 4 VK freebsd_triage 2016-06-21 08:05:02 UTC
Comment on attachment 171586 [details]
QA

Approval on build logs doesn't make much sense, removing. Also, unless something specific in the build log is required to be seen, it is generally enough to just confirm Poudriere passed, so we don't clutter the database with unnecessary files.

Just a few hopefully helpful notes. Many thanks for doing this, of course! ;)
Comment 5 VK freebsd_triage 2016-06-21 08:07:10 UTC
Summary clean up in favor of using attachment flags to show maintainer approval. ;)
Comment 6 commit-hook freebsd_committer 2016-06-26 00:43:48 UTC
A commit references this bug:

Author: junovitch
Date: Sun Jun 26 00:42:56 UTC 2016
New revision: 417508
URL: https://svnweb.freebsd.org/changeset/ports/417508

Log:
  sysutils/py-salt: update 2016.3.0 -> 2016.3.1

  - Remove patches accepted upstream

  Changes:	https://docs.saltstack.com/en/latest/topics/releases/2016.3.1.html

  PR:		210395
  Submitted by:	Christer Edwards <christer.edwards@gmail.com> (maintainer)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
  head/sysutils/py-salt/files/patch-salt_grains_core.py
  head/sysutils/py-salt/files/patch-salt_grains_disks.py
  head/sysutils/py-salt/files/patch-salt_modules_pkgng.py
  head/sysutils/py-salt/files/patch-salt_returners_local__cache.py
Comment 7 Jason Unovitch freebsd_committer 2016-07-03 18:58:16 UTC
Christer, did you have any issue approving the patches referenced by Andres in comment 2 and comment 3?
Comment 8 Christer Edwards 2016-07-10 17:43:40 UTC
No issue.
Comment 9 commit-hook freebsd_committer 2016-07-13 01:54:27 UTC
A commit references this bug:

Author: junovitch
Date: Wed Jul 13 01:53:46 UTC 2016
New revision: 418455
URL: https://svnweb.freebsd.org/changeset/ports/418455

Log:
  sysutils/py-salt: add patches to handle runtime regressions in 2016.3.x

  Fixes cron.file from upstream issue #34094/#34095 [1].  This will be in
  2016.3.2.
  - https://github.com/saltstack/salt/issues/34094
  - https://github.com/saltstack/salt/pull/34095

  Restore patch for upstream issue #33608. This was patched in 2016.3.0 but
  removed in the maintainer update to 2016.3.1 in r417508. However the patch
  has yet to be merged upstream. [2]
  - https://github.com/saltstack/salt/issues/33608

  PR:		210627 [1], 210395 [2]
  Reported by:	Andres Montalban <amontalban@gmail.com>
  Approved by:	Christer Edwards <christer.edwards@gmail.com> (maintainer)
  MFH:		2016Q3

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/files/patch-salt_grains_core.py
  head/sysutils/py-salt/files/patch-salt_states_cron.py
Comment 10 commit-hook freebsd_committer 2016-07-13 01:55:31 UTC
A commit references this bug:

Author: junovitch
Date: Wed Jul 13 01:54:30 UTC 2016
New revision: 418456
URL: https://svnweb.freebsd.org/changeset/ports/418456

Log:
  MFH: r418455

  sysutils/py-salt: add patches to handle runtime regressions in 2016.3.x

  Fixes cron.file from upstream issue #34094/#34095 [1].  This will be in
  2016.3.2.
  - https://github.com/saltstack/salt/issues/34094
  - https://github.com/saltstack/salt/pull/34095

  Restore patch for upstream issue #33608. This was patched in 2016.3.0 but
  removed in the maintainer update to 2016.3.1 in r417508. However the patch
  has yet to be merged upstream. [2]
  - https://github.com/saltstack/salt/issues/33608

  PR:		210627 [1], 210395 [2]
  Reported by:	Andres Montalban <amontalban@gmail.com>
  Approved by:	Christer Edwards <christer.edwards@gmail.com> (maintainer)
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/sysutils/py-salt/Makefile
  branches/2016Q3/sysutils/py-salt/files/patch-salt_grains_core.py
  branches/2016Q3/sysutils/py-salt/files/patch-salt_states_cron.py
Comment 11 Jason Unovitch freebsd_committer 2016-07-13 02:02:40 UTC
(In reply to Christer Edwards from comment #8)
Thanks!

(In reply to Christer Edwards from comment #0)
Created attachment 171585 [details]

This patch removed the files/patch-salt_grains_core.py from https://github.com/saltstack/salt/issues/33608 that hasn't been merged upstream it.  I SVN copied it from before the 2016.3.1 update and MFH'd that along with the cron.file fix requested in bug 210627 and comment 2.